Skip to content

Expanded Traffic Overview V5.

POST
/api/shape/bot/namespaces/{namespace}/v5/reporting/traffic/overview/expanded
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/v5/reporting/traffic/overview/expanded \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "example", "filters": { "global_filters": [ { "key": "TIMESTAMP", "op": "IN", "values": [ "example" ] } ], "region_filter": "US" }, "namespace": "example", "pagination": { "page_number": 1, "page_size": 1 }, "sort": { "key": "TIMESTAMP", "order": "DESCENDING" }, "start_time": "example" }'

GET expanded traffic overview v5 with global filters supported.

Examples of this operation.

namespace
required
string

Namespace

x-required namespace is used to scope the query. Only virtual_host in given namespace will be considered.

Media typeapplication/json
TrafficOverviewExpandedV5Request

Request for Shape Bot Defense expanded traffic overview V5.

object
end_time
End time

End time of the query period Format: unix_timestamp|RFC 3339

Optional: If not specified, then the end_time will be evaluated to start_time+10m If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
filters
object
global_filters
Filters

List of global filters

Required: YES.

Array<object>
Global Filter

Query Global Filter.

object
key
string
default: TIMESTAMP
Allowed values: TIMESTAMP USERNAME CLIENT_TOKEN IP_ADDRESS ASN AS_ORGANIZATION COUNTRY METHOD HOST PATH URL REFERER TRAFFIC_CHANNEL IS_ATTACK BOT_REASON TRAFFIC_TYPE THREAT_TYPE SDK_VERSION ACTION_TAKEN COOKIE_AGE BOT_COOKIE USER_AGENT USER_AGENT_OS_FAMILY USER_AGENT_FAMILY BROWSER_FINGERPRINT USER_FINGERPRINT HEADER_FINGERPRINT DEVICE_ID FLOW AGENT APPLICATION_NAME PROTECTED_APPLICATION RESPONSE_CODE SERVER_RESPONSE_CODE TRANSACTION_RESULT MOBILE_TRANSACTION_INSIGHT WEB_TRANSACTION_INSIGHT TRIGGERED_RULE FLOW_CATEGORY FLOW_LABEL
op
string
default: IN
Allowed values: IN NOT_IN MATCHES_REGEX DOES_NOT_MATCH_REGEX INCLUDES DOES_NOT_INCLUDE STARTS_WITH ENDS_WITH
values
Values

An unordered list of filter strings Required: YES.

Array<string>
>= 1 items <= 64 items
region_filter
string
default: US
Allowed values: US EU ASIA CA
namespace
Namespace

Namespace is used to scope the query. Only virtual_host in given namespace will be considered. Required: YES.

string
>= 6 characters <= 1024 characters
pagination
object
page_number
Page Number

Required: YES.

integer format: int64
page_size
Page Size

Required: YES.

integer format: int64
sort
object
key
string
default: TIMESTAMP
Allowed values: TIMESTAMP USERNAME CLIENT_TOKEN IP_ADDRESS ASN AS_ORGANIZATION COUNTRY METHOD HOST PATH URL REFERER TRAFFIC_CHANNEL IS_ATTACK BOT_REASON TRAFFIC_TYPE THREAT_TYPE SDK_VERSION ACTION_TAKEN COOKIE_AGE BOT_COOKIE USER_AGENT USER_AGENT_OS_FAMILY USER_AGENT_FAMILY BROWSER_FINGERPRINT USER_FINGERPRINT HEADER_FINGERPRINT DEVICE_ID FLOW AGENT APPLICATION_NAME PROTECTED_APPLICATION RESPONSE_CODE SERVER_RESPONSE_CODE TRANSACTION_RESULT MOBILE_TRANSACTION_INSIGHT WEB_TRANSACTION_INSIGHT TRIGGERED_RULE FLOW_CATEGORY FLOW_LABEL
order
string
default: DESCENDING
Allowed values: DESCENDING ASCENDING
start_time
Start time

Start time of the query period Format: unix_timestamp|RFC 3339

Optional: If not specified, then the start_time will be evaluated to end_time-10m If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters

A successful response.

Media typeapplication/json
TrafficOverviewExpandedV5Response

Response for Shape Bot Defense expanded traffic overview V5.

object
total_transactions
Total transactions x-displayName: "Total transactions" x-example: 108 Total number of traffic transactions

Total number of traffic transactions.

string format: uint64
<= 1024 characters
transactions
Transactions

A list of traffic transactions.

Array<object>
TransactionRecord

Traffic transaction.

object
fields
Transaction Fields

Traffic Fields - for example: AS Number, Timestamp, host, etc.

Array<object>
TransactionField

Traffic transaction fields.

object
group
Group

Group name the field belongs to.

string
<= 1024 characters
name
Name

Field name.

string
>= 6 characters <= 1024 characters
value
Value

Field value.

string
>= 3 characters <= 1024 characters
Examplegenerated
{
"total_transactions": "example",
"transactions": [
{
"fields": [
{
"group": "example",
"name": "example",
"value": "example"
}
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example